Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface EJBCacheRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface EJBCacheRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This interface contains accessor methods for all cache runtime information collected for an EJB. Note that the sum of the cacheHitCount and cacheMissCount may not add up to the cacheAccessCount in a running server because these metrics are retrieved using multiple calls and the counts could change between the calls.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`long` | `getActivationCount()` Provides a count of the total number of beans from this EJB Home that have been activated.
`long` | `getCacheAccessCount()` Provides a count of the total number of attempts to access a bean from the cache.
`int` | `getCachedBeansCurrentCount()` Provides a count of the total number of beans from this EJB Home currently in the EJB cache.
`long` | `getCacheHitCount()` Deprecated. 28-Aug-2002. The cache hit count can be calculated by subtracting the cache miss count from the cache access count.
`long` | `getCacheMissCount()` Provides a count of the total number of times an attempt to access a bean from the cache failed.
`long` | `getPassivationCount()` Provides a count of the total number of beans from this EJB Home that have been passivated.
`void` | `reInitializeCacheAndPools()` Instructs the cache to initialize itself all of its associated pools to their configured initial sizes.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getActivationCount

    public long getActivationCount()

  Provides a count of the total number of beans from this EJB Home that have been activated.

  Returns:
    The activationCount value

### getCacheAccessCount

    public long getCacheAccessCount()

  Provides a count of the total number of attempts to access a bean from the cache.

  The sum of the Cache Hit Count and Cache Miss Count may not add up to the cacheAccessCount in a running server because these metrics are retrieved using multiple calls and the counts could change between the calls.

  *

  Returns:
    The cacheAccessCount value

### getCachedBeansCurrentCount

    public int getCachedBeansCurrentCount()

  Provides a count of the total number of beans from this EJB Home currently in the EJB cache.

  Returns:
    The cachedBeansCurrentCount value

### getCacheHitCount

    public long getCacheHitCount()

  Deprecated. 28-Aug-2002. The cache hit count can be calculated by subtracting the cache miss count from the cache access count.

  Provides a count of the total number of times an attempt to access a bean from the cache succeeded.

  The sum of the Cache Hit Count and Cache Miss Count may not add up to the cacheAccessCount in a running server because these metrics are retrieved using multiple calls and the counts could change between the calls.

  Returns:
    The cacheHitCount value

### getCacheMissCount

    public long getCacheMissCount()

  Provides a count of the total number of times an attempt to access a bean from the cache failed.

  The sum of the Cache Hit Count and Cache Miss Count may not add up to the cacheAccessCount in a running server because these metrics are retrieved using multiple calls and the counts could change between the calls.

  Returns:
    The cacheMissCount value

### getPassivationCount

    public long getPassivationCount()

  Provides a count of the total number of beans from this EJB Home that have been passivated.

  Returns:
    The passivationCount value

### reInitializeCacheAndPools

    public void reInitializeCacheAndPools()

  Instructs the cache to initialize itself all of its associated pools to their configured initial sizes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD